For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

Train a custom Ideogram v3 model

POST
https://api.ideogram.ai/v1/ideogram-v3/train-model
POST
/v1/ideogram-v3/train-model
$curl -X POST https://api.ideogram.ai/v1/ideogram-v3/train-model \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "dataset_id": "abc123",
> "model_name": "my-custom-model"
>}'
1{
2 "model_id": "model_id",
3 "dataset_id": "dataset_id",
4 "training_status": "training_status",
5 "model_name": "model_name"
6}
Start training a custom Ideogram v3 model from a dataset using default hyperparameters. The dataset must contain at least 15 images and a maximum of 100 images.
Was this page helpful?
Previous

List models

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Request

Training configuration
dataset_idstringRequired
ID of the dataset to train the model from.
model_namestringRequired

Name for the trained model. Must be 5-30 characters, alphanumeric with spaces and hyphens allowed.

Response

Training started successfully
model_idstring
Unique identifier of the created model.
dataset_idstring
Identifier of the dataset used for training.
training_statusstring
Current training status of the model.
model_namestring
Name of the model.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error